Перейти к содержанию
Madzaki

Как вернуть выделение? (Повторно выделить?)

Рекомендуемые сообщения

Доброго времени суток.

 

Ситуация:

1) Выделяю большое количество объектов (НЕ с помощью рамки, а вручную) и случайно отменяю выделение (например, клавишей Esc);

2) Или выделил большое количество объектов (НЕ с помощью рамки, а вручную) и совершил действие (например, переместил их, но не туда, куда хотел).

 

Вопрос:

1) Как вернуть выделение? Как повторно выделить?

 

NanoCAD 5.1

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты

1. что значит случайно? (PICKADD в 1, если руки дрожат), после Esc имха никак

2. _.pselect _p

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты

упсс поспешил... после Esc возможно

код с дружественного форума

(vl-load-com)
; Функция действия на событие описанное в реакторе
(defun pickfirstModified(reac data / )
 (if (cadr (ssgetfirst))
(setq last_select_selection (cadr (ssgetfirst)))
)
 )
;------------------------------------------------------------
; Реактор
(setq Misc_Reac (vlr-miscellaneous-reactor nil
	  (list '(:VLR-pickfirstModified . pickfirstModified)
		)
	  )
  )
;------------------------------------------------------------

;------------------------------------------------------------
; Пример вызова: get-last-select
(defun c:get-last-select()
 (if (= (type last_select_selection) 'PICKSET)
(if (> (sslength last_select_selection) 0)
  (progn
(sssetfirst nil last_select_selection)
(prompt "\n Последный сформированный набор восстановлен в переменнной last_select_selection")
)
  (prompt "\n Последный сформированный набор пустой")
  )
(prompt "\n На чертеже еще не было сформировано ни одного набора")
)
 (princ)
 )
;------------------------------------------------------------

но не уверен, что нана 5.1 так сможет

вызывать после загрузки командой get-last-select

Изменено пользователем doctorraz

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты

можно группу создать, если нужно часто один и тот же набор объектов выделять

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты

можно, а что бы оперативно редактировать объекты группы не разгруппировывая ее

(defun C:2()  ;группа
 (command nil)
(setvar "PICKSTYLE" (if (= (getvar "PICKSTYLE") 0) 1 0))
(if (= (getvar "PICKSTYLE") 0) (prompt "\nРазобрали") (prompt "\nСобрали"))
 (princ)
)

ctrl+H неудобно мне тянуться)))

а группировать разгруппировать на короткий алиас, например Г, ГГ

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты

В нано (у меня Нанокад СПДС 6.0) есть команда SELECT13

Она делает ровно то, что вы просите)

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты

Присоединяйтесь к обсуждению

Вы можете написать сейчас и зарегистрироваться позже. Если у вас есть аккаунт, авторизуйтесь, чтобы опубликовать от имени своего аккаунта.

Гость
Ответить в этой теме...

×   Вставлено с форматированием.   Восстановить форматирование

  Разрешено использовать не более 75 эмодзи.

×   Ваша ссылка была автоматически встроена.   Отображать как обычную ссылку

×   Ваш предыдущий контент был восстановлен.   Очистить редактор

×   Вы не можете вставлять изображения напрямую. Загружайте или вставляйте изображения по ссылке.

Загрузка...

×
×
  • Создать...